LinuxQuestions.org
LinuxAnswers - the LQ Linux tutorial section.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Ubuntu
User Name
Password
Ubuntu This forum is for the discussion of Ubuntu Linux.

Notices

Reply
 
Search this Thread
Old 08-14-2006, 03:16 PM   #1
groberts1980
LQ Newbie
 
Registered: Aug 2006
Posts: 2

Rep: Reputation: 0
Cannot Install Any Programs - Dependancy Problems


sudo apt-get install pptp-linux

Yields the following:
Code:
Reading package lists... Done
Building dependency tree... Done
pptp-linux is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
5 not fully installed or removed.
Need to get 0B of archives.
After unpacking 0B of additional disk space will be used.
Setting up emacs21 (21.4a-3ubuntu2) ...
emacs-install emacs21
install/cedet-common: Handling install for emacsen flavor emacs21
Loading 00debian-vars...
No /etc/mailname. Reverting to default...
Loading 50dictionaries-common (source)...
Loading debian-ispell...
Loading /var/cache/dictionaries-common/emacsen-ispell-default.el (source)...
Loading /var/cache/dictionaries-common/emacsen-ispell-dicts.el (source)...
Loading 50festival (source)...
Wrote /usr/share/emacs21/site-lisp/cedet-common/cedet-autogen.elc
Wrote /usr/share/emacs21/site-lisp/cedet-common/cedet-compat.elc
Wrote /usr/share/emacs21/site-lisp/cedet-common/cedet-edebug.elc
Wrote /usr/share/emacs21/site-lisp/cedet-common/cedet.elc
Wrote /usr/share/emacs21/site-lisp/cedet-common/cedet-loaddefs.elc
Wrote /usr/share/emacs21/site-lisp/cedet-common/cedet-load.elc
Wrote /usr/share/emacs21/site-lisp/cedet-common/ezimage.elc
Wrote /usr/share/emacs21/site-lisp/cedet-common/fame.elc
Wrote /usr/share/emacs21/site-lisp/cedet-common/inversion.elc
Wrote /usr/share/emacs21/site-lisp/cedet-common/mode-local.elc
Wrote /usr/share/emacs21/site-lisp/cedet-common/pprint.elc
Wrote /usr/share/emacs21/site-lisp/cedet-common/sformat.elc
Wrote /usr/share/emacs21/site-lisp/cedet-common/working.elc
Done
install/dictionaries-common: Byte-compiling for emacsen flavour emacs21
Wrote /usr/share/emacs21/site-lisp/dictionaries-common/debian-ispell.elc
Wrote /usr/share/emacs21/site-lisp/dictionaries-common/ispell.elc
Wrote /usr/share/emacs21/site-lisp/dictionaries-common/flyspell.elc
Done
emacsen-common: Handling install of emacsen flavor emacs21
emacsen-common: byte-compiling for emacs21
Loading 00debian-vars (source)...
No /etc/mailname. Reverting to default...
Loading 50dictionaries-common (source)...
Loading debian-ispell...
Loading /var/cache/dictionaries-common/emacsen-ispell-default.el (source)...
Loading /var/cache/dictionaries-common/emacsen-ispell-dicts.el (source)...
Loading 50festival (source)...
Wrote /etc/emacs21/site-start.d/00debian-vars.elc
Wrote /usr/share/emacs21/site-lisp/debian-startup.elc
Done
install/speedbar: Handling install for emacsen flavor emacs21
Loading 00debian-vars...
No /etc/mailname. Reverting to default...
Loading 50dictionaries-common (source)...
Loading debian-ispell...
Loading /var/cache/dictionaries-common/emacsen-ispell-default.el (source)...
Loading /var/cache/dictionaries-common/emacsen-ispell-dicts.el (source)...
Loading 50festival (source)...
Source file `/usr/share/emacs21/site-lisp/speedbar/dframe.el' newer than byte-compiled file
Wrote /usr/share/emacs21/site-lisp/speedbar/bigclock.elc
Wrote /usr/share/emacs21/site-lisp/speedbar/dframe.elc
While compiling toplevel forms in file /usr/share/emacs21/site-lisp/speedbar/rpm.el:
  !! Wrong type argument ((stringp nil))
While compiling toplevel forms in file /usr/share/emacs21/site-lisp/speedbar/sb-ant.el:
  !! Wrong type argument ((stringp nil))
While compiling toplevel forms in file /usr/share/emacs21/site-lisp/speedbar/sb-gud.el:
  !! Wrong type argument ((stringp nil))
While compiling toplevel forms in file /usr/share/emacs21/site-lisp/speedbar/sb-html.el:
  !! Wrong type argument ((stringp nil))
While compiling toplevel forms in file /usr/share/emacs21/site-lisp/speedbar/sb-image.el:
  !! Wrong type argument ((stringp nil))
While compiling toplevel forms in file /usr/share/emacs21/site-lisp/speedbar/sb-info.el:
  !! Wrong type argument ((stringp nil))
Wrote /usr/share/emacs21/site-lisp/speedbar/sb-rmail.elc
While compiling toplevel forms in file /usr/share/emacs21/site-lisp/speedbar/sb-texinfo.el:
  !! Wrong type argument ((stringp nil))
While compiling toplevel forms in file /usr/share/emacs21/site-lisp/speedbar/sb-w3.el:
  !! Wrong type argument ((stringp nil))
While compiling toplevel forms in file /usr/share/emacs21/site-lisp/speedbar/speedbar.el:
  !! Wrong type argument ((stringp nil))
Wrote /usr/share/emacs21/site-lisp/speedbar/speedbar-loaddefs.elc
Wrote /usr/share/emacs21/site-lisp/speedbar/speedbar-load.elc
Done
emacs-install: /usr/lib/emacsen-common/packages/install/speedbar emacs21 failed at /usr/lib/emacsen-common/emacs-install line 28, <TSORT> line 5.
dpkg: error processing emacs21 (--configure):
 subprocess post-installation script returned error exit status 1
Setting up emacs-snapshot-nox (20060114-1) ...
emacs-install emacs-snapshot
install/cedet-common: Handling install for emacsen flavor emacs-snapshot
Loading 00debian-vars...
No /etc/mailname. Reverting to default...
Loading 50dictionaries-common (source)...
Skipping dictionaries-common setup for emacs-snapshot
Loading 50festival (source)...
Wrote /usr/share/emacs-snapshot/site-lisp/cedet-common/cedet-autogen.elc
Wrote /usr/share/emacs-snapshot/site-lisp/cedet-common/cedet-compat.elc
Wrote /usr/share/emacs-snapshot/site-lisp/cedet-common/cedet-edebug.elc
Wrote /usr/share/emacs-snapshot/site-lisp/cedet-common/cedet.elc
Wrote /usr/share/emacs-snapshot/site-lisp/cedet-common/cedet-load.elc
Wrote /usr/share/emacs-snapshot/site-lisp/cedet-common/ezimage.elc
Wrote /usr/share/emacs-snapshot/site-lisp/cedet-common/fame.elc
Wrote /usr/share/emacs-snapshot/site-lisp/cedet-common/inversion.elc
Wrote /usr/share/emacs-snapshot/site-lisp/cedet-common/mode-local.elc
Wrote /usr/share/emacs-snapshot/site-lisp/cedet-common/pprint.elc
Wrote /usr/share/emacs-snapshot/site-lisp/cedet-common/sformat.elc
Wrote /usr/share/emacs-snapshot/site-lisp/cedet-common/working.elc
install/dictionaries-common: Skipping byte-compilation for emacs-snapshot
emacsen-common: Handling install of emacsen flavor emacs-snapshot
emacsen-common: byte-compiling for emacs-snapshot
Loading 00debian-vars (source)...
No /etc/mailname. Reverting to default...
Loading 50dictionaries-common (source)...
Skipping dictionaries-common setup for emacs-snapshot
Loading 50festival (source)...
Wrote /etc/emacs-snapshot/site-start.d/00debian-vars.elc
Wrote /usr/share/emacs-snapshot/site-lisp/debian-startup.elc
install/speedbar: Handling install for emacsen flavor emacs-snapshot
Loading 00debian-vars...
No /etc/mailname. Reverting to default...
Loading 50dictionaries-common (source)...
Skipping dictionaries-common setup for emacs-snapshot
Loading 50festival (source)...
Source file `/usr/share/emacs-snapshot/site-lisp/speedbar/dframe.el' newer than byte-compiled file
Wrote /usr/share/emacs-snapshot/site-lisp/speedbar/bigclock.elc

In dframe-frame-mode:
dframe.el:343:29:Warning: `make-variable-buffer-local' should be called at
    toplevel
dframe.el:319:38:Warning: `make-variable-buffer-local' should be called at
    toplevel
Wrote /usr/share/emacs-snapshot/site-lisp/speedbar/dframe.elc

In toplevel form:
rpm.el:39:1:Error: Wrong type argument: stringp, nil

In toplevel form:
sb-ant.el:44:1:Error: Wrong type argument: stringp, nil

In toplevel form:
sb-gud.el:49:1:Error: Wrong type argument: stringp, nil

In toplevel form:
sb-html.el:52:1:Error: Wrong type argument: stringp, nil

In toplevel form:
sb-image.el:37:1:Error: Wrong type argument: stringp, nil

In toplevel form:
sb-info.el:53:1:Error: Wrong type argument: stringp, nil
Wrote /usr/share/emacs-snapshot/site-lisp/speedbar/sb-rmail.elc

In toplevel form:
sb-texinfo.el:97:1:Error: Wrong type argument: stringp, nil

In toplevel form:
sb-w3.el:57:1:Error: Wrong type argument: stringp, nil

In toplevel form:
speedbar.el:66:1:Error: Wrong type argument: stringp, nil
Wrote /usr/share/emacs-snapshot/site-lisp/speedbar/speedbar-load.elc
emacs-install: /usr/lib/emacsen-common/packages/install/speedbar emacs-snapshot failed at /usr/lib/emacsen-common/emacs-install line 28, <TSORT> line 5.
dpkg: error processing emacs-snapshot-nox (--configure):
 subprocess post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of cedet-common:
 cedet-common depends on emacs21 | emacsen; however:
  Package emacs21 is not configured yet.
  Package emacs21-nox which provides emacs21 is not installed.
  Package emacsen is not installed.
  Package emacs21 which provides emacsen is not configured yet.
  Package emacs21-nox which provides emacsen is not installed.
  Package emacs-snapshot-nox which provides emacsen is not configured yet.
dpkg: error processing cedet-common (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of eieio:
 eieio depends on emacs21 | emacsen; however:
  Package emacs21 is not configured yet.
  Package emacs21-nox which provides emacs21 is not installed.
  Package emacsen is not installed.
  Package emacs21 which provides emacsen is not configured yet.
  Package emacs21-nox which provides emacsen is not installed.
  Package emacs-snapshot-nox which provides emacsen is not configured yet.
 eieio depends on cedet-common; however:
  Package cedet-common is not configured yet.
dpkg: error processing eieio (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of speedbar:
 speedbar depends on cedet-common; however:
  Package cedet-common is not configured yet.
dpkg: error processing speedbar (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 emacs21
 emacs-snapshot-nox
 cedet-common
 eieio
 speedbar
E: Sub-process /usr/bin/dpkg returned an error code (1)

I've tried removing emacs21, but it won't do that either. I can't install any programs, because it always gives me these errors at the bottom.
 
Old 08-14-2006, 03:40 PM   #2
camorri
Senior Member
 
Registered: Nov 2002
Location: Somewhere inside 9.9 million sq. km. Canada
Distribution: Slackware 14.1
Posts: 4,851

Rep: Reputation: 432Reputation: 432Reputation: 432Reputation: 432Reputation: 432
Have you tries installing pptp-linux using the Synaptic Package Manager? It is supposed to resolve dependencies.
 
Old 08-14-2006, 03:48 PM   #3
groberts1980
LQ Newbie
 
Registered: Aug 2006
Posts: 2

Original Poster
Rep: Reputation: 0
Synaptec gives me this error:

E: emacs21: subprocess post-installation script returned error exit status 1
E: emacs-snapshot-nox: subprocess post-installation script returned error exit status 1
E: cedet-common: dependency problems - leaving unconfigured
E: eieio: dependency problems - leaving unconfigured
E: speedbar: dependency problems - leaving unconfigured
 
Old 08-14-2006, 04:28 PM   #4
fragos
Senior Member
 
Registered: May 2004
Location: Fresno CA USA
Distribution: Ubuntu 10.10
Posts: 1,466

Rep: Reputation: 51
It may not help this time but have you enabled the universe and multiverse repositories. Given that pptp-linux is a ubuntu supported package I'm surprised Synaptic has a problem. Perhaps your use of apt-get outside of the Ubuntu repositories changed versions of those referenced packages which for sum reason aren't compatible with the repository. If that's not the case, you might want to file a bug with Ubuntu.
 
  


Reply

Tags
dependancy, emacs, errors


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Kpilot dependancy problems APT-GET woodsy934 Linux - Software 9 12-18-2005 04:36 PM
Dependancy Problems dratix Ubuntu 2 06-03-2005 01:01 PM
rpm dependancy problems chow-stl Mandriva 5 01-16-2005 08:21 PM
xmms install/dependancy problems cdavidson Linux - Newbie 1 02-17-2004 01:11 AM
dia problems -> dependancy issues mehesque Linux - Newbie 2 11-14-2003 04:37 AM


All times are GMT -5. The time now is 07:52 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration